<?php
/**
 * MRCalender
 *
 * @package		MRCalendar
 * @version		0.60
 * @license 	本プログラムは、フリーソフトウェアです。
 * 				但し、HTML出力画面にあるプログラム名、プログラムバージョンを著作者の承認なし
 * 				に削除しての使用・改変・再配布することは禁止します。
 * @copyright	YS-Lab
 * @author 		大和英喜
 * @link 		http://www.ys-lab.jp
 */

require_once('common_def.php');
require_once(YSC_CALENDAR_LIB . '/ysc_calendar.php');
require_once(YSC_CALENDAR_LIB . '/ysc_imgcalendar.php');
require_once(YSC_CALENDAR_LIB . '/ysc_calendarutil.php');


// エラーハンドラー登録
set_error_handler("error_handler");

// 表示年月設定
$Year = (int)date('Y');
$Month = (int)date('n');
$Offset = 0;
if(isset($_REQUEST['offset'])) {
	if(preg_match(REG_NUMERIC, $_REQUEST['offset'])) {
		$Offset = $_REQUEST['offset'];
		YSC_CalendarUtil::monthadd((int)$_REQUEST['offset'], $Year, $Month);
	}
}

// 携帯又は携帯版強制表示
if(IsMobile() || (isset($_REQUEST['mfd']))) {
	$Type = CAL_OUTPUT_HTML;
	if(isset($_REQUEST['type'])) {
		if(preg_match(REG_ONOFF, (string)$_REQUEST['type'])) {
			$Type = (int)$_REQUEST['type'];
		}
	}
	$obj = new YSC_ImageCalendar(CAL_CONFIG_FILE, CAL_DATA_DIR, $Year, $Month, $Type);
	if(CAL_OUTPUT_HTML == $Type) {
		$option = array('calendarchange' => true);
		if(1 == $_REQUEST['mfd']) {
			$option['mfd'] = '1';
			$option['query'] = "&offset=$Offset&mfd=1";
		}
		else {
			$option['query'] = "&offset=$Offset";
		}
		$obj->setViewOptions($option);
	}
	$obj->Action();
	return;
}
// PCカレンダー表示
else {
	$obj = new YSC_Calendar(CAL_CONFIG_FILE, CAL_DATA_DIR, $Year, $Month);
	$option = array('calendarchange' => true);
	$obj->setViewOptions($option);
	$obj->Action();
	return;
}

/**
 * 携帯アクセスの判別
 *
 * @return true / false	: 携帯 / 携帯以外
 **/
function IsMobile() {
	$Agent = $_SERVER['HTTP_USER_AGENT'];
	if(ereg("^DoCoMo", $Agent)){
		return true;
	}else if(ereg("^J-PHONE|^Vodafone|^SoftBank", $Agent)){
		return true;
	}else if(ereg("^UP.Browser|^KDDI", $Agent)){
		return true;
	}
	return false;
}

/**
 * エラーハンドラー
 *
 * @param int $errno		エラー番号
 * @param string $errstr	エラーメッセージ
 **/
function error_handler($errno, $errstr) {
//print "ENO=>$errno  MDG=>$errstr <br />\n";
	if(E_USER_ERROR == $errno) {
		if(IsMobile()) {
	   		if(CAL_OUTPUT_HTML == (int)$_REQUEST['type']) {
				include(MOBILE_CAL_ERROR_PAGE);
	   		}
	   	}
	   	else {
			include(HTML_CAL_ERROR_PAGE);
	   	}
		exit();
	}
}

?>